<?xml version="1.0" encoding="US-ASCII"?>  
<!-- Generated by CompSci Transform (tm) - http://www.compsciresources.com -->    
<!-- Created: Tue Mar 19 18:51:26 UTC 2024 -->  
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">    
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">    
    <loc xlink:type="locator" xlink:label="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember" xlink:href="pru-20231231.xsd#pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember_lbl" xml:lang="en-US">Above-Market Interest on Supplemental Employee Savings Plan [Member]</label>  
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember" xlink:to="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember_lbl"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember_lbl0" xml:lang="en-US">This member presents above-market interest on supplemental employee savings plan.</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember" xlink:to="pru_AboveMarketInterestOnSupplementalEmployeeSavingsPlanMember_lbl0"/> 
    <loc xlink:type="locator" xlink:label="pru_ChangeInPensionValueAndEquityAwardValueMember" xlink:href="pru-20231231.xsd#pru_ChangeInPensionValueAndEquityAwardValueMember"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_ChangeInPensionValueAndEquityAwardValueMember_lbl" xml:lang="en-US">Change In Pension Value and Equity Award Value [Member]</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_ChangeInPensionValueAndEquityAwardValueMember" xlink:to="pru_ChangeInPensionValueAndEquityAwardValueMember_lbl"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_ChangeInPensionValueAndEquityAwardValueMember_lbl0" xml:lang="en-US">This member presents the total compensation adjustment for change in pension value and equity award value.</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_ChangeInPensionValueAndEquityAwardValueMember" xlink:to="pru_ChangeInPensionValueAndEquityAwardValueMember_lbl0"/>     
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember_lbl" xml:lang="en-US">Adjustments For Equity Awards Failed To Meet Performance Conditions [Member]</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" xlink:to="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember_lbl"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on adjustments for equity awards that failed to meet performance conditions.</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember" xlink:to="pru_EquityAwardsAdjustmentsAdjustmentsForEquityAwardsFailedToMeetPerformanceConditionsMember_lbl0"/> 
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember_lbl" xml:lang="en-US">Change In Fair Value As Of Vesting Date Of Current Year Awards Vested During Current Year [Member]</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember_lbl"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on the change in fair value (as of vesting date) of current  year awards vested during current year.</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfCurrentAwardsVestedDuringCurrentYearMember_lbl0"/>   
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember"/>   
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember_lbl" xml:lang="en-US">Change In Fair Value As Of Vesting Date Of Prior Year Awards Vested During Current Year [Member]</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember_lbl"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on the change in fair value (as of vesting date) of prior year awards vested during current year.</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfPriorYearAwardsVestedDuringCurrentYearMember_lbl0"/>  
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember_lbl" xml:lang="en-US">Change In Fair Value As Of Vesting Date Of Awards Vested During Current Year [Member]</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember_lbl"/>   
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on the change in fair value (as of vesting date) of awards vested during current year.</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfVestingDateOfVestedAwardsDuringCurrentYearMember_lbl0"/>    
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember"/>   
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember_lbl" xml:lang="en-US">Change In Fair Value Of Outstanding And Unvested Awards Granted In Prior Fiscal Years [Member]</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember_lbl"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on the change in fair value from the end of the prior fiscal year of any awards granted in prior years that are outstanding and unvested as of the end of the applicable year.</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember" xlink:to="pru_EquityAwardsAdjustmentsChangeInFairValueAsOfYearEndOfOutstandingAndUnvestedAwardsGrantedInPriorYearsMember_lbl0"/>  
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember_lbl" xml:lang="en-US">Dividends Or Other Earnings Paid On Equity Awards Not Otherwise Reflected In Fair Value [Member]</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" xlink:to="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember_lbl"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on dividends or other earnings paid on equity awards not otherwise reflected in fair value.</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember" xlink:to="pru_EquityAwardsAdjustmentsDividendsOrOtherEarningsPaidOnEquityAwardsNotOtherwiseReflectedInFairValueMember_lbl0"/> 
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsMember"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsMember_lbl" xml:lang="en-US">Total Equity Awards Adjustments [Member]</label>     
<!-- [WMV5][XcpuxYn59dz7vgYynUDuwG7r97K2jUTysl7vcz0lJt/tC7CvZHOJjSUEJbYlSz0QmT1AzchKAjg5AqVJioVI5EAB88PnNlnjJ3k6yMfwL1hwljXkkdbeHQ+dxSlnA8cVg4KgcUoWNe84BVYr4Ze4156bGsM7pR9vfP284ye9im5rOoKMM0Xv8y2J3Ay8bTI7fTL6QTKH5GfWfm/aODgbvZDmcogyFE/9C/Dlw/ev/x8tUin53l5KLrd2lF4l+K+P0pxqM8I+6VOdlyVhYnjSPA==] CSR--> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsMember" xlink:to="pru_EquityAwardsAdjustmentsMember_lbl"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsMember_lbl0" xml:lang="en-US">This member presents the total equity awards adjustments, which may be comprised of adjustments for (i) the year-end fair value of any equity awards granted in the applicable year that are outstanding and unvested as of the end of the year; (ii) the change in fair value from the end of the prior fiscal year of any awards granted in prior years that are outstanding and unvested as of the end of the applicable year; (iii) for awards granted in prior years that vest in the applicable year, the amount equal to the change in value as of the vesting date (from the end of the prior fiscal year); (iv) adjustments for equity awards that failed to meet performance conditions; and (v) dividends or other earnings paid on equity awards not otherwise reflected in fair value.</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsMember" xlink:to="pru_EquityAwardsAdjustmentsMember_lbl0"/>   
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember_lbl" xml:lang="en-US">Year-end Fair Value Of Awards Granted In The Current Fiscal Year [Member]</label>  
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember_lbl"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember_lbl0" xml:lang="en-US">This member presents the equity awards adjustments on the year-end fair value of any equity awards granted in the applicable year that are outstanding and unvested as of the end of the year.</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember" xlink:to="pru_EquityAwardsAdjustmentsYearEndFairValueOfAwardsGrantedInCurrentYearMember_lbl0"/> 
    <loc xlink:type="locator" xlink:label="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember" xlink:href="pru-20231231.xsd#pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl" xml:lang="en-US">Equity Awards Value In Summary Compensation Table (Grant Date Value) [Member]</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember" xlink:to="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl"/>   
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl0" xml:lang="en-US">This member presents the adjustment (deduction) for equity awards value from summary compensation table.</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember" xlink:to="pru_EquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl0"/>    
    <loc xlink:type="locator" xlink:label="pru_NetAdjustmentsForEquityAwardsMember" xlink:href="pru-20231231.xsd#pru_NetAdjustmentsForEquityAwardsMember"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_NetAdjustmentsForEquityAwardsMember_lbl" xml:lang="en-US">Total Net Adjustments For Equity Awards [Member]</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_NetAdjustmentsForEquityAwardsMember" xlink:to="pru_NetAdjustmentsForEquityAwardsMember_lbl"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_NetAdjustmentsForEquityAwardsMember_lbl0" xml:lang="en-US">This member presents the net compensation adjustment for equity awards, which is comprised of equity awards value from summary compensation table, net of total equity awards adjustments.</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_NetAdjustmentsForEquityAwardsMember" xlink:to="pru_NetAdjustmentsForEquityAwardsMember_lbl0"/>     
    <loc xlink:type="locator" xlink:label="pru_NetAdjustmentsForPensionMember" xlink:href="pru-20231231.xsd#pru_NetAdjustmentsForPensionMember"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_NetAdjustmentsForPensionMember_lbl" xml:lang="en-US">Total Net Adjustments For Pension [Member]</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_NetAdjustmentsForPensionMember" xlink:to="pru_NetAdjustmentsForPensionMember_lbl"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_NetAdjustmentsForPensionMember_lbl0" xml:lang="en-US">This member presents the net compensation adjustment for pension, which is comprised of pension value from summary compensation table, net of total pension adjustments.</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_NetAdjustmentsForPensionMember" xlink:to="pru_NetAdjustmentsForPensionMember_lbl0"/>     
    <loc xlink:type="locator" xlink:label="pru_PensionAdjustmentsMember" xlink:href="pru-20231231.xsd#pru_PensionAdjustmentsMember"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_PensionAdjustmentsMember_lbl" xml:lang="en-US">Total Pension Adjustments [Member]</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionAdjustmentsMember" xlink:to="pru_PensionAdjustmentsMember_lbl"/>  
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_PensionAdjustmentsMember_lbl0" xml:lang="en-US">This member presents the total pension adjustments, which may be comprised of adjustments for service cost and prior service cost.</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionAdjustmentsMember" xlink:to="pru_PensionAdjustmentsMember_lbl0"/>   
    <loc xlink:type="locator" xlink:label="pru_PensionAdjustmentsPriorServiceCostMember" xlink:href="pru-20231231.xsd#pru_PensionAdjustmentsPriorServiceCostMember"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_PensionAdjustmentsPriorServiceCostMember_lbl" xml:lang="en-US">Pension Adjustments Prior Service Cost [Member]</label>   
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionAdjustmentsPriorServiceCostMember" xlink:to="pru_PensionAdjustmentsPriorServiceCostMember_lbl"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_PensionAdjustmentsPriorServiceCostMember_lbl0" xml:lang="en-US">This member presents the total pension adjustments, prior service cost.</label> 
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionAdjustmentsPriorServiceCostMember" xlink:to="pru_PensionAdjustmentsPriorServiceCostMember_lbl0"/>     
    <loc xlink:type="locator" xlink:label="pru_PensionAdjustmentsServiceCostMember" xlink:href="pru-20231231.xsd#pru_PensionAdjustmentsServiceCostMember"/> 
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_PensionAdjustmentsServiceCostMember_lbl" xml:lang="en-US">Pension Adjustments Service Cost [Member]</label>  
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionAdjustmentsServiceCostMember" xlink:to="pru_PensionAdjustmentsServiceCostMember_lbl"/>    
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_PensionAdjustmentsServiceCostMember_lbl0" xml:lang="en-US">This member presents the pension adjustments, service cost.</label>    
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionAdjustmentsServiceCostMember" xlink:to="pru_PensionAdjustmentsServiceCostMember_lbl0"/>     
    <loc xlink:type="locator" xlink:label="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember" xlink:href="pru-20231231.xsd#pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl" xml:lang="en-US">Pension Value And Equity Awards Value In Compensation Table For The Applicable Year [Member]</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember" xlink:to="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl"/>   
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl0" xml:lang="en-US">This member presents the total compensation adjustment for pension value and equity awards value in compensation table for the applicable year.</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember" xlink:to="pru_PensionValueAndEquityAwardsValueInCompensationTableForTheApplicableYearMember_lbl0"/>    
    <loc xlink:type="locator" xlink:label="pru_PensionValueInCompensationTableForTheApplicableYearMember" xlink:href="pru-20231231.xsd#pru_PensionValueInCompensationTableForTheApplicableYearMember"/>     
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="pru_PensionValueInCompensationTableForTheApplicableYearMember_lbl" xml:lang="en-US">Pension Adjustments Pension Value In Summary Compensation Table [Member]</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionValueInCompensationTableForTheApplicableYearMember" xlink:to="pru_PensionValueInCompensationTableForTheApplicableYearMember_lbl"/>   
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="pru_PensionValueInCompensationTableForTheApplicableYearMember_lbl0" xml:lang="en-US">This member presents the adjustment (deduction) for pension value from summary compensation table.</label>     
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="pru_PensionValueInCompensationTableForTheApplicableYearMember" xlink:to="pru_PensionValueInCompensationTableForTheApplicableYearMember_lbl0"/>    
  </labelLink>     
</linkbase>  
